'use strict';

var vue = require('vue');
require('../../_util/hooks/index.js');
var useFalseUntilTruthy = require('../../_util/hooks/useFalseUntilTruthy.js');

var Lazy = vue.defineComponent({
  name: "Lzay",
  props: {
    visible: Boolean
  },
  setup(props, {
    slots
  }) {
    const visibleRef = useFalseUntilTruthy(vue.toRef(props, "visible"));
    return () => {
      var _a;
      if (!visibleRef.value)
        return;
      return (_a = slots.default) == null ? void 0 : _a.call(slots);
    };
  }
});

module.exports = Lazy;
