'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function getScrollParent(el) {
  while (true) {
    el = el == null ? void 0 : el.parentNode;
    if (!el)
      break;
    if (el.nodeType === 9)
      return el;
    const { overflow, overflowX, overflowY } = getComputedStyle(el);
    if (/(auto|scroll|overlay)/.test(overflow + overflowY + overflowX))
      break;
  }
  return el;
}
function getScrollParents(el) {
  let sccrollableNodes = [];
  let cursor = el;
  while (true) {
    cursor = getScrollParent(cursor);
    if (!cursor)
      break;
    sccrollableNodes.push(cursor);
  }
  return sccrollableNodes;
}

exports.getScrollParent = getScrollParent;
exports.getScrollParents = getScrollParents;
