'use strict';

var vue = require('vue');

function useFalseUntilTruthy(originalRef) {
  const currentRef = vue.ref(!!originalRef.value);
  if (currentRef.value)
    return vue.readonly(currentRef);
  const stop = vue.watch(originalRef, (value) => {
    if (value) {
      currentRef.value = true;
      stop();
    }
  });
  return vue.readonly(currentRef);
}

module.exports = useFalseUntilTruthy;
