'use strict';

var vue = require('vue');
var resizeobserver = require('../Dom/resizeobserver.js');
var index = require('../props-util/index.js');

function useResizeObserver(handler) {
  vue.onMounted(() => {
    const el = index.findDOMNode(vue.getCurrentInstance());
    resizeobserver.observer(el, handler);
  });
  vue.onBeforeUnmount(() => {
    const el = index.findDOMNode(vue.getCurrentInstance());
    resizeobserver.dispose(el);
  });
}

module.exports = useResizeObserver;
