'use strict';

var vue = require('vue');
require('../icon/index.js');
var Icon = require('../icon/Icon.js');

var CalendarHeader = vue.defineComponent({
  props: {
    prefixCls: String,
    value: Object,
    title: String
  },
  emits: ["change", "panelChange", "prev", "next"],
  setup(props, {
    attrs,
    emit
  }) {
    function prev() {
      emit("prev");
    }
    function next() {
      emit("next");
    }
    function showMonthPanel() {
      emit("panelChange");
    }
    return () => {
      const {
        prefixCls,
        value
      } = props;
      return vue.createVNode("div", {
        "class": `${prefixCls}_header`
      }, [vue.createVNode("span", {
        "class": `${prefixCls}_header_title`,
        "onClick": showMonthPanel
      }, [props.title || value.format("YYYY\u5E74M\u6708")]), vue.createVNode("span", {
        "class": `${prefixCls}_prev-btn`,
        "onClick": prev
      }, [vue.createVNode(Icon["default"], {
        "type": "arrow-up"
      }, null)]), vue.createVNode("span", {
        "class": `${prefixCls}_next-btn`,
        "onClick": next
      }, [vue.createVNode(Icon["default"], {
        "type": "arrow-down"
      }, null)])]);
    };
  }
});

module.exports = CalendarHeader;
