'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const autoAdjustOverflow = {
  adjustX: 1,
  adjustY: 1
};
const targetOffset = [0, 0];
const placements = {
  left: {
    points: ["cr", "cl"],
    overflow: autoAdjustOverflow,
    targetOffset
  },
  right: {
    points: ["cl", "cr"],
    overflow: autoAdjustOverflow,
    targetOffset
  },
  top: {
    points: ["bc", "tc"],
    overflow: autoAdjustOverflow,
    targetOffset
  },
  bottom: {
    points: ["tc", "bc"],
    overflow: autoAdjustOverflow,
    targetOffset
  },
  topLeft: {
    points: ["bl", "tl"],
    overflow: autoAdjustOverflow,
    targetOffset,
    useCssBottom: true
  },
  leftTop: {
    points: ["tr", "tl"],
    overflow: autoAdjustOverflow,
    targetOffset
  },
  topRight: {
    points: ["br", "tr"],
    overflow: autoAdjustOverflow,
    targetOffset,
    useCssBottom: true,
    useCssRight: true
  },
  rightTop: {
    points: ["tl", "tr"],
    overflow: autoAdjustOverflow,
    targetOffset
  },
  bottomRight: {
    points: ["tr", "br"],
    overflow: autoAdjustOverflow,
    targetOffset,
    useCssRight: true
  },
  rightBottom: {
    points: ["bl", "br"],
    overflow: autoAdjustOverflow,
    targetOffset
  },
  bottomLeft: {
    points: ["tl", "bl"],
    overflow: autoAdjustOverflow,
    targetOffset
  },
  leftBottom: {
    points: ["br", "bl"],
    overflow: autoAdjustOverflow,
    targetOffset
  }
};

exports["default"] = placements;
exports.placements = placements;
