'use strict';

var vue = require('vue');

function createScriptUrlElements(scriptUrls, index = 0) {
  const currentScriptUrl = scriptUrls[index];
  const script = document.createElement("script");
  script.setAttribute("src", currentScriptUrl);
  script.setAttribute("data-namespace", currentScriptUrl);
  if (scriptUrls.length > index + 1) {
    script.onload = () => {
      createScriptUrlElements(scriptUrls, index + 1);
    };
    script.onerror = () => {
      createScriptUrlElements(scriptUrls, index + 1);
    };
  }
  document.body.appendChild(script);
}
const create = (options = {}) => {
  const {
    scriptUrl,
    extraCommonProps
  } = options;
  let flag = false;
  const createScript = () => {
    if (flag)
      return;
    flag = true;
    if (Array.isArray(scriptUrl)) {
      createScriptUrlElements(scriptUrl.reverse());
    } else {
      createScriptUrlElements([scriptUrl]);
    }
  };
  return vue.defineComponent({
    props: {
      type: String
    },
    setup(props, ctx) {
      vue.onMounted(createScript);
      return () => vue.createVNode("i", {
        "role": "img"
      }, [vue.createVNode("svg", null, [vue.createVNode("use", {
        "xlink:href": `#${props.type}`
      }, null)])]);
    }
  });
};

module.exports = create;
