'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var components = require('./components.js');
var index$1 = require('./drag-resize/index.js');
var Icon = require('./icon/Icon.js');
var index$2 = require('./button/index.js');
var Tooltip = require('./tooltip/Tooltip.js');
var Popover = require('./popover/Popover.js');
var index$3 = require('./virtual-list/index.js');
var Select = require('./select/Select.js');
var index$4 = require('./tag/index.js');
var index$5 = require('./switch/index.js');
var index$6 = require('./slider/index.js');
var index$7 = require('./rate/index.js');
var index$8 = require('./date-picker/index.js');
var index$9 = require('./dropdown/index.js');
var index$a = require('./card/index.js');
var index$b = require('./message/index.js');
var index$c = require('./notification/index.js');
var Modal = require('./modal/Modal.js');
var index$d = require('./table/index.js');
var index$e = require('./code/index.js');
var index$f = require('./blockquote/index.js');
var index$g = require('./space/index.js');
var index$h = require('./drawer/index.js');
var index$i = require('./progress/index.js');
var Image = require('./image/Image.js');
var Window = require('./window/Window.js');
var Menu = require('./menu/Menu.js');
var expandTransition = require('./expand-transition/expand-transition.js');
var index$j = require('./border-light/index.js');
var index$k = require('./sunken/index.js');
var index$l = require('./acrylic/index.js');
var input = require('./input/input.js');
var search = require('./input/search.js');
var Radio = require('./radio/Radio.js');
var Group = require('./radio/Group.js');
var Checkbox = require('./checkbox/Checkbox.js');
var Group$1 = require('./checkbox/Group.js');
var Calendar = require('./calendar/Calendar.js');
var RangeCalendar = require('./calendar/RangeCalendar.js');
var Form = require('./form/Form.js');
var FormItem = require('./form/FormItem.js');
var a = require('./typography/a.vue.js');
var simpleTable = require('./typography/simple-table.vue.js');
var TabPane = require('./tabs/TabPane.js');
var Tabs = require('./tabs/Tabs.js');
var Anchor = require('./anchor/Anchor.vue.js');
var AnchorLink = require('./anchor/AnchorLink.vue.js');
var skeleton = require('./skeleton/skeleton.js');
var skeletonItem = require('./skeleton/skeleton-item.js');

const install = (app) => {
  Object.keys(components).forEach((key) => {
    const component = components[key];
    if (component.install) {
      app.use(component);
    }
  });
  return app;
};
var index = {
  install
};

exports.DragResize = index$1["default"];
exports.Icon = Icon["default"];
exports.Button = index$2;
exports.Tooltip = Tooltip;
exports.Popover = Popover;
exports.VirtualList = index$3;
exports.Select = Select;
exports.Tag = index$4;
exports.Switch = index$5;
exports.Slider = index$6;
exports.Rate = index$7;
exports.DatePicker = index$8;
exports.Dropdown = index$9;
exports.Card = index$a;
exports.Message = index$b;
exports.Notification = index$c;
exports.Modal = Modal["default"];
exports.Table = index$d;
exports.Code = index$e;
exports.Blockquote = index$f;
exports.Space = index$g;
exports.Drawer = index$h;
exports.Progress = index$i;
exports.Image = Image;
exports.Window = Window;
exports.Menu = Menu["default"];
exports.ExpandTransition = expandTransition["default"];
exports.BorderLight = index$j;
exports.Sunken = index$k;
exports.Acrylic = index$l;
exports.Input = input;
exports.InputSearch = search;
exports.Radio = Radio["default"];
exports.RadioGroup = Group["default"];
exports.Checkbox = Checkbox;
exports.CheckboxGroup = Group$1["default"];
exports.Calendar = Calendar.DateCalendar;
exports.DateCalendar = Calendar.DateCalendar;
exports.MonthCalendar = Calendar.MonthCalendar;
exports.YearCalendar = Calendar.YearCalendar;
exports.RangeCalendar = RangeCalendar;
exports.Form = Form;
exports.FormItem = FormItem;
exports.A = a;
exports.SimpleTable = simpleTable;
exports.TabPane = TabPane;
exports.Tabs = Tabs;
exports.Anchor = Anchor;
exports.AnchorLink = AnchorLink;
exports.Skeleton = skeleton["default"];
exports.SkeletonItem = skeletonItem;
exports["default"] = index;
