'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var Modal = require('./Modal.js');

var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
const destroyFns = [];
function ModalInfo(config) {
  const div = document.createElement("div");
  document.body.appendChild(div);
  config = __spreadProps(__spreadValues({}, config), {
    visible: true
  });
  let ins = null;
  ins = vue.createApp({
    data: () => ({
      config: __spreadValues({}, config),
      displayed: true
    }),
    render() {
      if (!this.displayed)
        return;
      const config2 = vue.mergeProps(this.config, {
        onAfterLeave
      });
      return vue.createVNode(Modal["default"], vue.mergeProps(config2, {
        "visible": this.config.visible,
        "onUpdate:visible": ($event) => this.config.visible = $event,
        "closable": false,
        "footer": true
      }), {
        default: () => [config2.content]
      });
    }
  }).mount(div);
  function onAfterLeave() {
    if (ins && div.parentNode) {
      ins.displayed = false;
      ins = null;
      div.parentNode.removeChild(div);
    }
  }
  function update(newConfig) {
    if (!ins)
      return;
    Object.assign(ins.config, newConfig);
  }
  function destroy() {
    const i = destroyFns.indexOf(destroy);
    if (~i)
      destroyFns.splice(i, 1);
    if (!ins)
      return;
    ins.config.visible = false;
  }
  destroyFns.push(destroy);
  return {
    destroy,
    update
  };
}

exports["default"] = ModalInfo;
exports.destroyFns = destroyFns;
