'use strict';

var vue = require('vue');
require('../tooltip/index.js');
var tooltipProps = require('../tooltip/tooltipProps.js');
var index = require('../_util/props-util/index.js');
var Tooltip = require('../tooltip/Tooltip.js');

var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var Popover = vue.defineComponent({
  name: "x-popover",
  props: __spreadProps(__spreadValues({}, tooltipProps), {
    prefixCls: {
      default: "x-popover"
    },
    content: String
  }),
  setup(props, {
    slots
  }) {
    const {
      prefixCls
    } = props;
    return (self) => {
      const title = index.getComponent(self, "title");
      const content = index.getComponent(self, "content");
      const tooltipProps2 = __spreadProps(__spreadValues({}, props), {
        title: vue.createVNode("div", null, [title && vue.createVNode("div", {
          "class": `${prefixCls}-title`
        }, [title]), vue.createVNode("div", {
          "class": `${prefixCls}-content`
        }, [content])])
      });
      return vue.createVNode(Tooltip, tooltipProps2, {
        default: () => {
          var _a;
          return [(_a = slots.default) == null ? void 0 : _a.call(slots)];
        }
      });
    };
  }
});

module.exports = Popover;
