'use strict';

var vue = require('vue');
var index = require('../../_util/props-util/index.js');

function useSelectTriggerControl(refs, triggerOpen) {
  function onGlobalMouseDown(event) {
    let target = event.target;
    if (target.shadowRoot && event.composed) {
      target = event.composedPath()[0] || target;
    }
    const elements = refs.map((e) => index.findDOMNode(e.value));
    const isOutside = elements.every((element) => !(element == null ? void 0 : element.contains(target)));
    if (isOutside) {
      triggerOpen(false);
    }
  }
  vue.onMounted(() => {
    window.addEventListener("mousedown", onGlobalMouseDown);
  });
  vue.onBeforeUnmount(() => {
    window.removeEventListener("mousedown", onGlobalMouseDown);
  });
}

module.exports = useSelectTriggerControl;
