'use strict';

var vue = require('vue');

var Steps = (_, {
  attrs
}) => {
  const {
    prefixCls,
    marks = []
  } = attrs;
  const dotsNode = Object.keys(marks).map((num) => {
    const dotProps = {
      class: `${prefixCls}_dot`,
      style: {
        left: `${num}%`
      },
      key: num
    };
    return vue.createVNode("span", dotProps, null);
  });
  return vue.createVNode("div", {
    "class": `${prefixCls}_steps`
  }, [dotsNode]);
};

module.exports = Steps;
