import { defineComponent, toRef } from 'vue';
import '../../_util/hooks/index.js';
import useFalseUntilTruthy from '../../_util/hooks/useFalseUntilTruthy.js';

var Lazy = defineComponent({
  name: "Lzay",
  props: {
    visible: Boolean
  },
  setup(props, {
    slots
  }) {
    const visibleRef = useFalseUntilTruthy(toRef(props, "visible"));
    return () => {
      var _a;
      if (!visibleRef.value)
        return;
      return (_a = slots.default) == null ? void 0 : _a.call(slots);
    };
  }
});

export { Lazy as default };
