const map = /* @__PURE__ */ new WeakMap();
let _observer;
const observer = () => _observer || (_observer = new ResizeObserver((entries, ob) => {
  for (let i = 0; i < entries.length; i++) {
    const entry = entries[i], handlers = map.get(entry.target);
    handlers == null ? void 0 : handlers.forEach((e) => e(entry, ob));
  }
}));
var resizeobserver = {
  observer(el, handler) {
    if (handler) {
      const handlers = map.get(el);
      if (handlers)
        handlers.add(handler);
      else
        map.set(el, /* @__PURE__ */ new Set([handler]));
    }
    observer().observe(el);
  },
  dispose(el, handler) {
    var _a;
    if (handler) {
      (_a = map.get(el)) == null ? void 0 : _a.delete(handler);
    } else {
      map.delete(el);
      observer().unobserve(el);
    }
  },
  unobserve(el) {
    observer().unobserve(el);
  }
};

export { resizeobserver as default };
