import { defineComponent, createVNode } from 'vue';
import '../icon/index.js';
import Icon from '../icon/Icon.js';

var CalendarHeader = defineComponent({
  props: {
    prefixCls: String,
    value: Object,
    title: String
  },
  emits: ["change", "panelChange", "prev", "next"],
  setup(props, {
    attrs,
    emit
  }) {
    function prev() {
      emit("prev");
    }
    function next() {
      emit("next");
    }
    function showMonthPanel() {
      emit("panelChange");
    }
    return () => {
      const {
        prefixCls,
        value
      } = props;
      return createVNode("div", {
        "class": `${prefixCls}_header`
      }, [createVNode("span", {
        "class": `${prefixCls}_header_title`,
        "onClick": showMonthPanel
      }, [props.title || value.format("YYYY\u5E74M\u6708")]), createVNode("span", {
        "class": `${prefixCls}_prev-btn`,
        "onClick": prev
      }, [createVNode(Icon, {
        "type": "arrow-up"
      }, null)]), createVNode("span", {
        "class": `${prefixCls}_next-btn`,
        "onClick": next
      }, [createVNode(Icon, {
        "type": "arrow-down"
      }, null)])]);
    };
  }
});

export { CalendarHeader as default };
