import { defineComponent, computed, createVNode, Transition, mergeProps } from 'vue';
import useExpandTransition from './useExpandTransition.js';

var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
const expandTransitionProps = {
  appear: Boolean,
  name: {
    type: String,
    default: "expand-transition"
  },
  height: {
    type: [Number, Function],
    default: 0
  },
  width: [Number, Function],
  widthProp: {
    type: String,
    default: "maxWidth"
  },
  heightProp: {
    type: String,
    default: "maxHeight"
  },
  scheduler: Function
};
const ExpandTransition = defineComponent({
  name: "x-expand-transition",
  props: expandTransitionProps,
  inheritAttrs: false,
  setup(props, {
    attrs,
    slots
  }) {
    const events = useExpandTransition(props);
    const propsRef = computed(() => __spreadProps(__spreadValues({
      name: props.name,
      appear: props.appear
    }, events), {
      onEnter: (el) => {
        if (typeof props.scheduler === "function") {
          props.scheduler(events.onEnter.bind(null, el));
        } else {
          events.onEnter(el);
        }
      }
    }));
    return () => {
      return createVNode(Transition, mergeProps(attrs, propsRef.value), slots);
    };
  }
});

export { ExpandTransition as default, expandTransitionProps };
