import { h } from 'vue';
import '../icon/index.js';
import Modal, { prefixCls } from './Modal.js';
export { default } from './Modal.js';
import ModalInfo, { destroyFns } from './ModalInfo.js';
import Icon from '../icon/Icon.js';

var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
function info(config) {
  return ModalInfo(__spreadProps(__spreadValues({}, config), {
    cancel: false,
    icon: h(Icon, { type: "info-circle", class: `${prefixCls}_icon-info` })
  }));
}
function confirm(config) {
  return ModalInfo(__spreadProps(__spreadValues({}, config), {
    icon: h(Icon, { type: "check-circle", class: `${prefixCls}_icon-check` })
  }));
}
Modal.info = info;
Modal.confirm = confirm;
Modal.destroyAll = () => destroyFns.forEach((fn) => fn());
Modal.install = (app) => {
  app.component(Modal.name, Modal);
};
