import { createVNode, withDirectives, vShow } from 'vue';
import { render } from '../_util/props-util/index.js';
import { newInstace } from '../MessageManager/index.js';
import '../icon/index.js';
import './style/index.js';
import Icon from '../icon/Icon.js';

var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
const prefixCls = "x-notification";
const instance = newInstace({
  prefixCls
});
let __key = 0;
function getKey() {
  return "__" + __key++;
}
const Notification = {
  create: (options) => {
    var _a;
    const key = (_a = options.key) != null ? _a : getKey();
    const obj = instance.add(__spreadProps(__spreadValues({}, options), {
      key,
      duration: options.duration === void 0 ? 5e3 : options.duration,
      default: () => {
        return createVNode("div", {
          "class": prefixCls
        }, [withDirectives(createVNode("div", {
          "class": `${prefixCls}_cover`
        }, [render(options.cover)]), [[vShow, options.cover]]), createVNode("div", {
          "class": `${prefixCls}_header`
        }, [createVNode("div", {
          "class": `${prefixCls}_title`
        }, [render(options.title)]), withDirectives(createVNode("div", {
          "class": `${prefixCls}_close`,
          "onClick": onClose
        }, [createVNode(Icon, {
          "type": "cross"
        }, null)]), [[vShow, options.closable]]), withDirectives(createVNode("div", {
          "class": `${prefixCls}_description`
        }, [render(options.description)]), [[vShow, options.description]]), withDirectives(createVNode("div", {
          "class": `${prefixCls}_meta`
        }, [render(options.meta)]), [[vShow, options.meta]])])]);
      },
      transitionProps: {
        width: 0,
        height: 0
      }
    }));
    function onClose(e) {
      e.preventDefault();
      e.stopPropagation();
      obj.close();
    }
    return obj.close;
  },
  destroyAll: instance.removeAll,
  // Plugin
  install(app) {
    app.config.globalProperties.$notification = Notification;
  }
};

export { Notification as default };
