import { createVNode } from 'vue';
import { isValidElement } from '../_util/props-util/index.js';

var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var Marks = (_, {
  attrs
}) => {
  const {
    prefixCls,
    marks = {},
    min,
    max
  } = attrs;
  function onClickLabel(e, num) {
    var _a;
    e.stopPropagation();
    e.preventDefault();
    (_a = attrs.onClickLabel) == null ? void 0 : _a.call(attrs, e, num);
  }
  const marksNode = Object.keys(marks).map((num) => {
    const mark = marks[num];
    const isObject = typeof mark === "object" && !isValidElement(mark);
    const markLabel = isObject ? `${mark.label}` : `${mark}`;
    const markProps = {
      class: `${prefixCls}_mark`,
      style: __spreadValues({
        trasnform: "translateX(-50%)",
        left: `${(+num - min) / (max - min) * 100}%`
      }, mark == null ? void 0 : mark.style),
      key: num,
      onMousedown: (e) => onClickLabel(e, +num),
      onTouchstart: (e) => onClickLabel(e, +num)
    };
    return createVNode("span", markProps, [markLabel]);
  });
  return createVNode("div", {
    "class": `${prefixCls}_marks`
  }, [marksNode]);
};

export { Marks as default };
