import { PropType, VNodeChild, ExtractPropTypes } from 'vue';
import { Arrayable } from '@vueuse/core';
import type { Moment, MomentInput } from 'moment';
declare const props: {
    prefixCls: StringConstructor;
    start: PropType<Moment>;
    modelValue: PropType<Arrayable<Moment>>;
    rangeValue: PropType<Moment[]>;
    cols: NumberConstructor;
    limit: PropType<Moment[]>;
    disabled: PropType<(date: Moment) => boolean>;
    add: PropType<(date: Moment, amount: number) => Moment>;
    diff: PropType<(date1: Moment, date2: Moment) => number>;
    isBefore: PropType<(date: Moment, date2: Moment) => boolean>;
    isAfter: PropType<(date: Moment, date2: Moment) => boolean>;
    isSame: PropType<(date: Moment, date2: MomentInput) => boolean>;
    group: PropType<(date: Moment) => Moment>;
    isBeforeGroup: PropType<(date: Moment, date2: Moment) => boolean>;
    isAfterGroup: PropType<(date: Moment, date2: Moment) => boolean>;
    addGroup: PropType<(date: Moment, amount: number) => Moment>;
    cell: PropType<(date: Moment) => VNodeChild>;
    onSelect: PropType<(date: Moment) => void>;
    onHover: PropType<(date: Moment) => void>;
    onGroupChange: PropType<(date: Moment) => void>;
};
export type GridProps = ExtractPropTypes<typeof props>;
declare const _default: import("vue").DefineComponent<{
    prefixCls: StringConstructor;
    start: PropType<Moment>;
    modelValue: PropType<Arrayable<Moment>>;
    rangeValue: PropType<Moment[]>;
    cols: NumberConstructor;
    limit: PropType<Moment[]>;
    disabled: PropType<(date: Moment) => boolean>;
    add: PropType<(date: Moment, amount: number) => Moment>;
    diff: PropType<(date1: Moment, date2: Moment) => number>;
    isBefore: PropType<(date: Moment, date2: Moment) => boolean>;
    isAfter: PropType<(date: Moment, date2: Moment) => boolean>;
    isSame: PropType<(date: Moment, date2: MomentInput) => boolean>;
    group: PropType<(date: Moment) => Moment>;
    isBeforeGroup: PropType<(date: Moment, date2: Moment) => boolean>;
    isAfterGroup: PropType<(date: Moment, date2: Moment) => boolean>;
    addGroup: PropType<(date: Moment, amount: number) => Moment>;
    cell: PropType<(date: Moment) => VNodeChild>;
    onSelect: PropType<(date: Moment) => void>;
    onHover: PropType<(date: Moment) => void>;
    onGroupChange: PropType<(date: Moment) => void>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    prefixCls: StringConstructor;
    start: PropType<Moment>;
    modelValue: PropType<Arrayable<Moment>>;
    rangeValue: PropType<Moment[]>;
    cols: NumberConstructor;
    limit: PropType<Moment[]>;
    disabled: PropType<(date: Moment) => boolean>;
    add: PropType<(date: Moment, amount: number) => Moment>;
    diff: PropType<(date1: Moment, date2: Moment) => number>;
    isBefore: PropType<(date: Moment, date2: Moment) => boolean>;
    isAfter: PropType<(date: Moment, date2: Moment) => boolean>;
    isSame: PropType<(date: Moment, date2: MomentInput) => boolean>;
    group: PropType<(date: Moment) => Moment>;
    isBeforeGroup: PropType<(date: Moment, date2: Moment) => boolean>;
    isAfterGroup: PropType<(date: Moment, date2: Moment) => boolean>;
    addGroup: PropType<(date: Moment, amount: number) => Moment>;
    cell: PropType<(date: Moment) => VNodeChild>;
    onSelect: PropType<(date: Moment) => void>;
    onHover: PropType<(date: Moment) => void>;
    onGroupChange: PropType<(date: Moment) => void>;
}>> & {
    "onUpdate:modelValue"?: (...args: any[]) => any;
}, {}>;
export default _default;
