import { ExtractPropTypes, PropType, StyleValue } from 'vue';
import { MaybeRef } from '@vueuse/core';
type STICKS = 'tl' | 'tc' | 'tr' | 'cl' | 'cr' | 'bl' | 'bc' | 'br' | '';
export declare const resizableProps: {
    sticks: PropType<STICKS[]>;
    x: NumberConstructor;
    y: NumberConstructor;
    w: NumberConstructor;
    h: NumberConstructor;
    initW: NumberConstructor;
    initH: NumberConstructor;
    minW: {
        type: NumberConstructor;
        default: number;
    };
    minH: {
        type: NumberConstructor;
        default: number;
    };
    maxW: {
        type: NumberConstructor;
        default: any;
    };
    maxH: {
        type: NumberConstructor;
        default: any;
    };
    active: {
        type: BooleanConstructor;
        default: any;
    };
    type: {
        type: PropType<"default" | "simple">;
        default: string;
    };
    resizingClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    resizableClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    activeClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    activeStyle: PropType<StyleValue>;
    stickClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    stickStyle: PropType<StyleValue>;
    aspectRatio: BooleanConstructor;
    resizable: {
        type: BooleanConstructor;
        default: boolean;
    };
    draggable: {
        type: BooleanConstructor;
        default: boolean;
    };
    dragTarget: PropType<MaybeRef<HTMLElement>>;
};
export type ResizableProps = ExtractPropTypes<typeof resizableProps>;
declare const Resizable: import("vue").DefineComponent<{
    sticks: PropType<STICKS[]>;
    x: NumberConstructor;
    y: NumberConstructor;
    w: NumberConstructor;
    h: NumberConstructor;
    initW: NumberConstructor;
    initH: NumberConstructor;
    minW: {
        type: NumberConstructor;
        default: number;
    };
    minH: {
        type: NumberConstructor;
        default: number;
    };
    maxW: {
        type: NumberConstructor;
        default: any;
    };
    maxH: {
        type: NumberConstructor;
        default: any;
    };
    active: {
        type: BooleanConstructor;
        default: any;
    };
    type: {
        type: PropType<"default" | "simple">;
        default: string;
    };
    resizingClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    resizableClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    activeClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    activeStyle: PropType<StyleValue>;
    stickClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    stickStyle: PropType<StyleValue>;
    aspectRatio: BooleanConstructor;
    resizable: {
        type: BooleanConstructor;
        default: boolean;
    };
    draggable: {
        type: BooleanConstructor;
        default: boolean;
    };
    dragTarget: PropType<MaybeRef<HTMLElement>>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:x" | "update:y" | "update:w" | "update:h" | "update:active" | "resizing" | "resize-start" | "resize-end" | "activated" | "deactivated")[], "update:x" | "update:y" | "update:w" | "update:h" | "update:active" | "resizing" | "resize-start" | "resize-end" | "activated" | "deactivated", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    sticks: PropType<STICKS[]>;
    x: NumberConstructor;
    y: NumberConstructor;
    w: NumberConstructor;
    h: NumberConstructor;
    initW: NumberConstructor;
    initH: NumberConstructor;
    minW: {
        type: NumberConstructor;
        default: number;
    };
    minH: {
        type: NumberConstructor;
        default: number;
    };
    maxW: {
        type: NumberConstructor;
        default: any;
    };
    maxH: {
        type: NumberConstructor;
        default: any;
    };
    active: {
        type: BooleanConstructor;
        default: any;
    };
    type: {
        type: PropType<"default" | "simple">;
        default: string;
    };
    resizingClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    resizableClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    activeClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    activeStyle: PropType<StyleValue>;
    stickClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    stickStyle: PropType<StyleValue>;
    aspectRatio: BooleanConstructor;
    resizable: {
        type: BooleanConstructor;
        default: boolean;
    };
    draggable: {
        type: BooleanConstructor;
        default: boolean;
    };
    dragTarget: PropType<MaybeRef<HTMLElement>>;
}>> & {
    "onUpdate:x"?: (...args: any[]) => any;
    "onUpdate:y"?: (...args: any[]) => any;
    "onUpdate:w"?: (...args: any[]) => any;
    "onUpdate:h"?: (...args: any[]) => any;
    "onUpdate:active"?: (...args: any[]) => any;
    onResizing?: (...args: any[]) => any;
    "onResize-start"?: (...args: any[]) => any;
    "onResize-end"?: (...args: any[]) => any;
    onActivated?: (...args: any[]) => any;
    onDeactivated?: (...args: any[]) => any;
}, {
    type: "default" | "simple";
    minW: number;
    minH: number;
    maxW: number;
    maxH: number;
    active: boolean;
    aspectRatio: boolean;
    resizable: boolean;
    draggable: boolean;
}>;
export default Resizable;
