import { ExtractPropTypes, InjectionKey, PropType, Ref, ComputedRef } from 'vue';
import { Value, MenuOption, Option } from './interface';
declare const menuProps: {
    prefixCls: {
        default: string;
    };
    indent: {
        type: NumberConstructor;
        default: number;
    };
    value: PropType<Value>;
    defaultExpandAll: BooleanConstructor;
    expandedKeys: PropType<Value[]>;
    mode: {
        type: PropType<"vertical" | "inline" | "horizontal">;
        default: string;
    };
    options: {
        type: PropType<Option[]>;
        default: () => Option[];
    };
    collapsed: {
        type: BooleanConstructor;
        default: boolean;
    };
    borderLight: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: BooleanConstructor;
    selectable: {
        default: boolean;
    };
};
export type MenuProps = ExtractPropTypes<typeof menuProps>;
export type MenuContextProps = {
    props: MenuProps;
    valueRef: Ref<Value>;
    expandedKeysRef: Ref<Value[]>;
    activePathRef: Ref<Value[]>;
    collapsedRef: ComputedRef<boolean>;
    onSelect: (item: MenuOption) => void;
    onExpanded: (item: MenuOption) => void;
};
export declare const MenuContextKey: InjectionKey<MenuContextProps>;
declare const _default: import("vue").DefineComponent<{
    prefixCls: {
        default: string;
    };
    indent: {
        type: NumberConstructor;
        default: number;
    };
    value: PropType<Value>;
    defaultExpandAll: BooleanConstructor;
    expandedKeys: PropType<Value[]>;
    mode: {
        type: PropType<"vertical" | "inline" | "horizontal">;
        default: string;
    };
    options: {
        type: PropType<Option[]>;
        default: () => Option[];
    };
    collapsed: {
        type: BooleanConstructor;
        default: boolean;
    };
    borderLight: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: BooleanConstructor;
    selectable: {
        default: boolean;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "click" | "update:value" | "update:expandedKeys" | "expandChange")[], "select" | "click" | "update:value" | "update:expandedKeys" | "expandChange", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    prefixCls: {
        default: string;
    };
    indent: {
        type: NumberConstructor;
        default: number;
    };
    value: PropType<Value>;
    defaultExpandAll: BooleanConstructor;
    expandedKeys: PropType<Value[]>;
    mode: {
        type: PropType<"vertical" | "inline" | "horizontal">;
        default: string;
    };
    options: {
        type: PropType<Option[]>;
        default: () => Option[];
    };
    collapsed: {
        type: BooleanConstructor;
        default: boolean;
    };
    borderLight: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: BooleanConstructor;
    selectable: {
        default: boolean;
    };
}>> & {
    onClick?: (...args: any[]) => any;
    onSelect?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
    "onUpdate:expandedKeys"?: (...args: any[]) => any;
    onExpandChange?: (...args: any[]) => any;
}, {
    disabled: boolean;
    mode: "vertical" | "inline" | "horizontal";
    indent: number;
    prefixCls: string;
    options: Option[];
    selectable: boolean;
    defaultExpandAll: boolean;
    collapsed: boolean;
    borderLight: boolean;
}>;
export default _default;
