import { VNode, VNodeChild, Plugin } from 'vue';
import { MessageProps } from '../MessageManager/Message';
declare const iconMap: {
    success: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
    warning: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
    error: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
    info: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
    loading: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
};
type MessageType = keyof typeof iconMap;
type ContentType = VNodeChild | (() => VNodeChild);
export type MessageOption = MessageProps & {
    content?: ContentType;
    icon?: VNode;
    duration?: number;
    type?: MessageType;
    closable?: boolean;
};
interface MessageFn {
    (opt: MessageOption): void;
    (content: string, options: MessageOption): void;
}
export interface MessageApi extends MessageFn, Record<MessageType, MessageFn> {
    destroyAll(): void;
    install: Plugin['install'];
}
declare const _default: MessageApi;
export default _default;
