import { App, HTMLAttributes, VNode, VNodeTypes } from 'vue';
import { MessageProps } from '../MessageManager/Message';
type BaseOption = HTMLAttributes & {
    title: VNodeTypes;
    description?: VNodeTypes;
    content?: VNodeTypes;
    cover?: VNodeTypes;
    icon?: VNode;
    meta: VNodeTypes;
    duration?: number;
    closable?: boolean;
};
export type NotificationOption = Omit<MessageProps, keyof BaseOption> & BaseOption;
declare const Notification: {
    create: (options: NotificationOption) => () => void;
    destroyAll: () => void;
    install(app: App): void;
};
export type Notification = typeof Notification;
export default Notification;
