import { VNodeChild, PropType, DefineComponent, FunctionalComponent } from 'vue';
import { MaybeComputedElementRef, MaybeRef } from '@vueuse/core';
import type { AlignType, TargetPoint } from '../align/interface';
type Type = '' | 'click' | 'contextmenu' | 'focus' | 'hover';
export type ActionType = Type | `${Type} ${Type}`;
declare const _default: DefineComponent<{
    prefixCls: StringConstructor;
    action: {
        type: PropType<ActionType>;
        default: string;
    };
    disabled: BooleanConstructor;
    mask: BooleanConstructor;
    maskClosable: {
        type: BooleanConstructor;
        default: boolean;
    };
    maskTransitionName: StringConstructor;
    popup: PropType<VNodeChild>;
    popupVisible: {
        type: BooleanConstructor;
        default: any;
    };
    popupTransition: PropType<DefineComponent<{}, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}> | FunctionalComponent<{}, {}>>;
    popupTransitionName: {
        default: string;
    };
    popupStyle: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    popupClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    popupAlign: PropType<AlignType>;
    popupPoint: PropType<TargetPoint>;
    popupPlacement: {
        type: PropType<"left" | "right" | "top" | "bottom" | "topLeft" | "leftTop" | "topRight" | "rightTop" | "bottomRight" | "rightBottom" | "bottomLeft" | "leftBottom">;
    };
    popupContainer: PropType<MaybeComputedElementRef<import("@vueuse/core").MaybeElement>>;
    builtinPlacements: {
        type: ObjectConstructor;
        default: {
            left: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            right: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            top: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            bottom: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            topLeft: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            leftTop: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            topRight: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            rightTop: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            bottomRight: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            rightBottom: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            bottomLeft: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            leftBottom: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
        };
    };
    onPopupVisibleChange: FunctionConstructor;
    afterPopupVisibleChange: FunctionConstructor;
    disabledAlign: PropType<MaybeRef<Boolean>>;
    disabledAlignInTransiting: PropType<MaybeRef<Boolean>>;
    zIndex: (StringConstructor | NumberConstructor)[];
    mouseEnterDelay: {
        default: number;
    };
    mouseLeaveDelay: {
        default: number;
    };
    focusDelay: {
        default: number;
    };
    blurDelay: {
        default: number;
    };
    alignPoint: BooleanConstructor;
}, (vm: any) => JSX.Element[], unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    prefixCls: StringConstructor;
    action: {
        type: PropType<ActionType>;
        default: string;
    };
    disabled: BooleanConstructor;
    mask: BooleanConstructor;
    maskClosable: {
        type: BooleanConstructor;
        default: boolean;
    };
    maskTransitionName: StringConstructor;
    popup: PropType<VNodeChild>;
    popupVisible: {
        type: BooleanConstructor;
        default: any;
    };
    popupTransition: PropType<DefineComponent<{}, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}> | FunctionalComponent<{}, {}>>;
    popupTransitionName: {
        default: string;
    };
    popupStyle: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    popupClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    popupAlign: PropType<AlignType>;
    popupPoint: PropType<TargetPoint>;
    popupPlacement: {
        type: PropType<"left" | "right" | "top" | "bottom" | "topLeft" | "leftTop" | "topRight" | "rightTop" | "bottomRight" | "rightBottom" | "bottomLeft" | "leftBottom">;
    };
    popupContainer: PropType<MaybeComputedElementRef<import("@vueuse/core").MaybeElement>>;
    builtinPlacements: {
        type: ObjectConstructor;
        default: {
            left: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            right: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            top: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            bottom: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            topLeft: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            leftTop: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            topRight: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            rightTop: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            bottomRight: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            rightBottom: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            bottomLeft: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            leftBottom: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
        };
    };
    onPopupVisibleChange: FunctionConstructor;
    afterPopupVisibleChange: FunctionConstructor;
    disabledAlign: PropType<MaybeRef<Boolean>>;
    disabledAlignInTransiting: PropType<MaybeRef<Boolean>>;
    zIndex: (StringConstructor | NumberConstructor)[];
    mouseEnterDelay: {
        default: number;
    };
    mouseLeaveDelay: {
        default: number;
    };
    focusDelay: {
        default: number;
    };
    blurDelay: {
        default: number;
    };
    alignPoint: BooleanConstructor;
}>>, {
    disabled: boolean;
    mask: boolean;
    action: ActionType;
    maskClosable: boolean;
    popupVisible: boolean;
    popupTransitionName: string;
    builtinPlacements: Record<string, any>;
    mouseEnterDelay: number;
    mouseLeaveDelay: number;
    focusDelay: number;
    blurDelay: number;
    alignPoint: boolean;
}>;
export default _default;
