import { Component, DefineComponent, ExtractPropTypes, FunctionalComponent, PropType, StyleValue, VNodeChild } from 'vue';
declare const windowProps: {
    title: PropType<VNodeChild>;
    prefix: PropType<VNodeChild>;
    suffix: PropType<VNodeChild>;
    draggable: {
        type: BooleanConstructor;
        default: boolean;
    };
    closable: {
        type: BooleanConstructor;
        default: boolean;
    };
    fullscreen: {
        type: BooleanConstructor;
        default: any;
    };
    resizable: {
        type: BooleanConstructor;
        default: boolean;
    };
    w: NumberConstructor;
    h: NumberConstructor;
    type: {
        type: PropType<"default" | "simple">;
        default: string;
    };
    headerStyle: PropType<StyleValue>;
    bodyStyle: PropType<StyleValue>;
    footer: PropType<Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | DefineComponent<{}, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{}>>, {}> | FunctionalComponent<{}, {}>>;
};
export type WindowProps = ExtractPropTypes<typeof windowProps>;
declare const _default: DefineComponent<{
    title: PropType<VNodeChild>;
    prefix: PropType<VNodeChild>;
    suffix: PropType<VNodeChild>;
    draggable: {
        type: BooleanConstructor;
        default: boolean;
    };
    closable: {
        type: BooleanConstructor;
        default: boolean;
    };
    fullscreen: {
        type: BooleanConstructor;
        default: any;
    };
    resizable: {
        type: BooleanConstructor;
        default: boolean;
    };
    w: NumberConstructor;
    h: NumberConstructor;
    type: {
        type: PropType<"default" | "simple">;
        default: string;
    };
    headerStyle: PropType<StyleValue>;
    bodyStyle: PropType<StyleValue>;
    footer: PropType<Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | DefineComponent<{}, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{}>>, {}> | FunctionalComponent<{}, {}>>;
}, (vm: any) => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("close" | "resize" | "update:x" | "update:y" | "update:w" | "update:h" | "resizing" | "resize-start" | "resize-end" | "activated" | "deactivated" | "dragging" | "update:width" | "update:height" | "update:fullscreen")[], "close" | "resize" | "update:x" | "update:y" | "update:w" | "update:h" | "resizing" | "resize-start" | "resize-end" | "activated" | "deactivated" | "dragging" | "update:width" | "update:height" | "update:fullscreen", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    title: PropType<VNodeChild>;
    prefix: PropType<VNodeChild>;
    suffix: PropType<VNodeChild>;
    draggable: {
        type: BooleanConstructor;
        default: boolean;
    };
    closable: {
        type: BooleanConstructor;
        default: boolean;
    };
    fullscreen: {
        type: BooleanConstructor;
        default: any;
    };
    resizable: {
        type: BooleanConstructor;
        default: boolean;
    };
    w: NumberConstructor;
    h: NumberConstructor;
    type: {
        type: PropType<"default" | "simple">;
        default: string;
    };
    headerStyle: PropType<StyleValue>;
    bodyStyle: PropType<StyleValue>;
    footer: PropType<Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | DefineComponent<{}, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{}>>, {}> | FunctionalComponent<{}, {}>>;
}>> & {
    onClose?: (...args: any[]) => any;
    "onUpdate:x"?: (...args: any[]) => any;
    "onUpdate:y"?: (...args: any[]) => any;
    "onUpdate:w"?: (...args: any[]) => any;
    "onUpdate:h"?: (...args: any[]) => any;
    onResizing?: (...args: any[]) => any;
    "onResize-start"?: (...args: any[]) => any;
    "onResize-end"?: (...args: any[]) => any;
    onActivated?: (...args: any[]) => any;
    onDeactivated?: (...args: any[]) => any;
    onDragging?: (...args: any[]) => any;
    onResize?: (...args: any[]) => any;
    "onUpdate:width"?: (...args: any[]) => any;
    "onUpdate:height"?: (...args: any[]) => any;
    "onUpdate:fullscreen"?: (...args: any[]) => any;
}, {
    type: "default" | "simple";
    closable: boolean;
    resizable: boolean;
    draggable: boolean;
    fullscreen: boolean;
}>;
export default _default;
